import { Request as ExpressRequest, Response as ExpressResponse } from "express";
import { eventLogger } from "src/utils/logging";

interface CodeResponse {
    code?: string;
}

export const get = async (req: ExpressRequest, res: ExpressResponse): Promise<void> => {
    const data = req.query as CodeResponse;
    if (req.session) {
        req.session.authTokenCode = data.code;
    }
    eventLogger.verbose("Discord auth callback: %s", req.ip);
    res.redirect("/login/discord_auth");
};
